openshot::WriterInfo Struct Reference

This struct contains info about encoding a media file, such as height, width, frames per second, etc... More...

`#include <WriterBase.h>`

## Public Attributes

string | acodec
| The name of the audio codec used to encode / decode the video stream. More...
int | audio_bit_rate
| The bit rate of the audio stream (in bytes) More...
int | audio_stream_index
| The index of the audio stream. More...
Fraction | audio_timebase
| The audio timebase determines how long each audio packet should be played. More...
ChannelLayout | channel_layout
| The channel layout (mono, stereo, 5 point surround, etc...) More...
int | channels
| The number of audio channels used in the audio stream. More...
Fraction | display_ratio
| The ratio of width to height of the video stream (i.e. 640x480 has a ratio of 4/3) More...
float | duration
| Length of time (in seconds) More...
int64_t | file_size
| Size of file (in bytes) More...
Fraction | fps
| Frames per second, as a fraction (i.e. 24/1 = 24 fps) More...
bool | has_audio
| Determines if this file has an audio stream. More...
bool | has_single_image
| Determines if this file only contains a single image. More...
bool | has_video
| Determines if this file has a video stream. More...
int | height
| The height of the video (in pixels) More...
bool | interlaced_frame
| Are the contents of this frame interlaced. More...
int | pixel_format
| The pixel format (i.e. YUV420P, RGB24, etc...) More...
Fraction | pixel_ratio
| The pixel ratio of the video stream as a fraction (i.e. some pixels are not square) More...
int | sample_rate
| The number of audio samples per second (44100 is a common sample rate) More...
bool | top_field_first
| Which interlaced field should be displayed first. More...
string | vcodec
| The name of the video codec used to encode / decode the video stream. More...
int | video_bit_rate
| The bit rate of the video stream (in bytes) More...
int64_t | video_length
| The number of frames in the video stream. More...
int | video_stream_index
| The index of the video stream. More...
Fraction | video_timebase
| The video timebase determines how long each frame stays on the screen. More...
int | width
| The width of the video (in pixels) More...

## Detailed Description

This struct contains info about encoding a media file, such as height, width, frames per second, etc...

Each derived class of WriterBase is responsible for updating this struct to reflect accurate information about the streams.

Definition at line 49 of file WriterBase.h.

## Member Data Documentation

## acodec

string openshot::WriterInfo::acodec

The name of the audio codec used to encode / decode the video stream.

Definition at line 69 of file WriterBase.h.

## audio_bit_rate

int openshot::WriterInfo::audio_bit_rate

The bit rate of the audio stream (in bytes)

Definition at line 70 of file WriterBase.h.

## audio_stream_index

int openshot::WriterInfo::audio_stream_index

The index of the audio stream.

Definition at line 74 of file WriterBase.h.

## audio_timebase

Fraction openshot::WriterInfo::audio_timebase

The audio timebase determines how long each audio packet should be played.

Definition at line 75 of file WriterBase.h.

## channel_layout

ChannelLayout openshot::WriterInfo::channel_layout

The channel layout (mono, stereo, 5 point surround, etc...)

Definition at line 73 of file WriterBase.h.

## channels

int openshot::WriterInfo::channels

The number of audio channels used in the audio stream.

Definition at line 72 of file WriterBase.h.

## display_ratio

Fraction openshot::WriterInfo::display_ratio

The ratio of width to height of the video stream (i.e. 640x480 has a ratio of 4/3)

Definition at line 62 of file WriterBase.h.

## duration

float openshot::WriterInfo::duration

Length of time (in seconds)

Definition at line 54 of file WriterBase.h.

## file_size

int64_t openshot::WriterInfo::file_size

Size of file (in bytes)

Definition at line 55 of file WriterBase.h.

## fps

Fraction openshot::WriterInfo::fps

Frames per second, as a fraction (i.e. 24/1 = 24 fps)

Definition at line 59 of file WriterBase.h.

## has_audio

bool openshot::WriterInfo::has_audio

Determines if this file has an audio stream.

Definition at line 52 of file WriterBase.h.

## has_single_image

bool openshot::WriterInfo::has_single_image

Determines if this file only contains a single image.

Definition at line 53 of file WriterBase.h.

## has_video

bool openshot::WriterInfo::has_video

Determines if this file has a video stream.

Definition at line 51 of file WriterBase.h.

## height

int openshot::WriterInfo::height

The height of the video (in pixels)

Definition at line 56 of file WriterBase.h.

## interlaced_frame

bool openshot::WriterInfo::interlaced_frame

Are the contents of this frame interlaced.

Definition at line 67 of file WriterBase.h.

## pixel_format

int openshot::WriterInfo::pixel_format

The pixel format (i.e. YUV420P, RGB24, etc...)

Definition at line 58 of file WriterBase.h.

## pixel_ratio

Fraction openshot::WriterInfo::pixel_ratio

The pixel ratio of the video stream as a fraction (i.e. some pixels are not square)

Definition at line 61 of file WriterBase.h.

## sample_rate

int openshot::WriterInfo::sample_rate

The number of audio samples per second (44100 is a common sample rate)

Definition at line 71 of file WriterBase.h.

## top_field_first

bool openshot::WriterInfo::top_field_first

Which interlaced field should be displayed first.

Definition at line 68 of file WriterBase.h.

## vcodec

string openshot::WriterInfo::vcodec

The name of the video codec used to encode / decode the video stream.

Definition at line 63 of file WriterBase.h.

## video_bit_rate

int openshot::WriterInfo::video_bit_rate

The bit rate of the video stream (in bytes)

Definition at line 60 of file WriterBase.h.

## video_length

int64_t openshot::WriterInfo::video_length

The number of frames in the video stream.

Definition at line 64 of file WriterBase.h.

## video_stream_index

int openshot::WriterInfo::video_stream_index

The index of the video stream.

Definition at line 65 of file WriterBase.h.

## video_timebase

Fraction openshot::WriterInfo::video_timebase

The video timebase determines how long each frame stays on the screen.

Definition at line 66 of file WriterBase.h.

## width

int openshot::WriterInfo::width

The width of the video (in pixels)

Definition at line 57 of file WriterBase.h.

The documentation for this struct was generated from the following file:

- WriterBase.h